import CardList from "./Components/CardList";
import Header from "@/Components/Header";
import { motion } from 'framer-motion';

export default function Index({ cards }) {

    return (
        <div className="container mx-auto px-4">
            <Header />

            <div className="grid lg:grid-cols-6 grid-cols-2 gap-3 mt-10">
                {cards.map((card, index) => (
                    <motion.div
                        initial={{ opacity: 0 }}
                        animate={{ opacity: 1 }}
                        transition={{ duration: 0.5, delay: index * 0.1 }}
                    >
                        <CardList key={index} haute={card.route} img={card.img} name={card.name} />
                    </motion.div>)
                )}
            </div>
        </div>
    );
}